std::filesystem::directory_iterator Class Reference

## Public Types

typedef ptrdiff_t | difference_type
typedef input_iterator_tag | iterator_category
typedef const directory_entry * | pointer
typedef const directory_entry & | reference
typedef directory_entry | value_type

## Public Member Functions

| directory_iterator (const directory_iterator &__rhs)=default
| directory_iterator (const path &__p)
| directory_iterator (const path &__p, directory_options __options)
| directory_iterator (const path &__p, directory_options __options, error_code &__ec)
| directory_iterator (const path &__p, error_code &__ec)
| directory_iterator (directory_iterator &&__rhs) noexcept=default
directory_iterator & | increment (error_code &__ec)
const directory_entry & | operator* () const noexcept
directory_iterator & | operator++ ()
__directory_iterator_proxy | operator++ (int)
const directory_entry * | operator-> () const noexcept
directory_iterator & | operator= (const directory_iterator &__rhs)=default
directory_iterator & | operator= (directory_iterator &&__rhs) noexcept=default

## Friends

bool | operator!= (const directory_iterator &__lhs, const directory_iterator &__rhs) noexcept
bool | operator== (const directory_iterator &__lhs, const directory_iterator &__rhs) noexcept
class | recursive_directory_iterator

## Related Functions

(Note that these are not member functions.)
directory_iterator | begin (directory_iterator __iter) noexcept
directory_iterator | end (directory_iterator) noexcept

## Detailed Description

Iterator type for traversing the entries in a single directory.

Definition at line 374 of file bits/fs_dir.h.

The documentation for this class was generated from the following file:

- bits/fs_dir.h